Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8042 - Krenel compilation dependent on /usr/src/linux
Summary: Krenel compilation dependent on /usr/src/linux
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-29 11:14 UTC by petr
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-04 22:20:28 UTC


Attachments (Terms of Use)

Description petr 1999-12-29 11:14:09 UTC
This is fragment of the compilation messages:

+ make -j 1 bzImage MAKE=make -j 1
gcc -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -o
scripts/split-include scripts/split-include.c
In file included from /usr/include/errno.h:36,
                 from scripts/split-include.c:26:
/usr/include/bits/errno.h:25: linux/errno.h: No such file or directory
make: *** [scripts/split-include] Error 1
Bad exit status from /var/tmp/rpm-tmp.9221 (%build)

If I install source additionaly into /usr/src/linux, compilation completes
without any problem.

Comment 1 petr 1999-12-29 11:29:59 UTC
I forgot to note kernel version: kernel-2.2.13-0.9.src.rpm.

Btw, there is inconsistency betweens RPMS and SRPMS directory - there is
kernel-2.2.13-0.10.src.rpm (which does not compile) and
kernel-2.2.13-0.9.i[356]86.rpm.

Comment 2 Cristian Gafton 2000-01-04 22:20:59 UTC
Assigned to dledford

Comment 3 Michael K. Johnson 2000-07-31 20:28:56 UTC
I believe that the current beta kernel package fixes this.


Note You need to log in before you can comment on or make changes to this bug.